org.eclipse.rdf4j.http.client

## Interface SesameClient

- All Known Subinterfaces:
    HttpClientSessionManager
  All Known Implementing Classes:
    SesameClientImpl, SharedHttpClientSessionManager

  Deprecated.
  use `HttpClientSessionManager` instead.

      @Deprecated
      public interface SesameClient

  Author:
    Jeen Broekstra

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `RDF4JProtocolSession` | `createRDF4JProtocolSession(String serverURL)` Deprecated. Creates a new session to the remote Sesame server to manage the auth state.
    `default RDF4JProtocolSession` | `createSesameSession(String serverURL)` Deprecated. use `createRDF4JProtocolSession(String)` instead.
    `SPARQLProtocolSession` | `createSPARQLProtocolSession(String queryEndpointUrl, String updateEndpointUrl)` Deprecated. Creates a new session to the remote SPARQL endpoint to manage the auth state.
    `default SPARQLProtocolSession` | `createSparqlSession(String queryEndpointUrl, String updateEndpointUrl)` Deprecated. use `createSPARQLProtocolSession(String, String)` instead.
    `org.apache.http.client.HttpClient` | `getHttpClient()` Deprecated.
    `void` | `shutDown()` Deprecated. Closes any remaining connections and threads used by the sessions created by this object.

- - ### Method Detail

    - #### getHttpClient

          org.apache.http.client.HttpClient getHttpClient()

      Deprecated.
      Returns:
        Returns the httpClient.

    - #### createSPARQLProtocolSession

          SPARQLProtocolSession createSPARQLProtocolSession(String queryEndpointUrl,
                                                            String updateEndpointUrl)

      Deprecated.
      Creates a new session to the remote SPARQL endpoint to manage the auth state.

    - #### createSparqlSession

          @Deprecated
          default SPARQLProtocolSession createSparqlSession(String queryEndpointUrl,
                                                                        String updateEndpointUrl)

      Deprecated. use `createSPARQLProtocolSession(String, String)` instead.

    - #### createRDF4JProtocolSession

          RDF4JProtocolSession createRDF4JProtocolSession(String serverURL)

      Deprecated.
      Creates a new session to the remote Sesame server to manage the auth state.

    - #### createSesameSession

          @Deprecated
          default RDF4JProtocolSession createSesameSession(String serverURL)

      Deprecated. use `createRDF4JProtocolSession(String)` instead.

    - #### shutDown

          void shutDown()

      Deprecated.
      Closes any remaining connections and threads used by the sessions created by this object.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.